clc;clear;
%----------------------------------------------------- TRAIN NEURAL NETWORK
% Number of features vector
num         = 500;
% Length of features vector
vect_length = 30;
% Input features matrix and target matrix (traget of scalar values)
P = 20 *rand(vect_length,num);
T = round(rand(1,num));
% Number of hidden nodes
hidden = 33;
% Simulation options
opt.maxepochs  = 2000;   % Max number of epochs
opt.stepepochs = 1000;   % Each #stepepochs the RMSE is calculated
% opt.maxerror = 0.05;   % Max RMSE (Root Mean Squared Error) allowed.

% You can also specify the max RMSE
% or also any combination ( opt.maxepochs AND opt.maxerror)

% The optimized Neural Network training 
% (interfaced to ASSEMBLER code for Win32 machines).
tic;
[net,RMSE] = fastnntraincore(P,T,hidden,opt);
tempo = toc;

disp('Total time elapsed');
disp(tempo);
disp('Final RMSE');
disp(RMSE);
%-------------------------------------------------- SIMULATE NEURAL NETWORK
% Number of features vector that have to be classified
num         = 10;
% Length of features vector (the same as before!)
vect_length = 30;
newP        = P(:,1:num);
% Add some "noise" to input features vectors
newP        = newP + 0.05*rand(size(newP));
ris         = fastnnsimulcore(net,newP);

